Skip to main content
GET
/
api
/
v1
/
marcet
/
callbackrequests
List callback requests
curl --request GET \
  --url https://receipts.opencard.io/api/v1/marcet/callbackrequests \
  --header 'Authorization: Bearer <token>'
[
  {
    "callback_path": "/transaction/123456789",
    "callback_content_type": "text/xml",
    "transaction": {
      "id": "txn_001",
      "auth_amount": 99.95,
      "auth_currency": "SEK",
      "auth_date": "2026-06-08",
      "auth_time": "11:12:14",
      "auth_timezone": "Europe/Stockholm",
      "reference_no": "190102519907",
      "auth_code": "ABC123",
      "terminal_id": "0000000015745355",
      "merchant_no": "3462188",
      "merchant_name": "Espresso House",
      "merchant_country": "SE",
      "clearing": "false",
      "auth_masked_card_number": "****1234",
      "type": "CARD_PURCHASE",
      "state": "AUTHORIZED",
      "mcc": "5814"
    }
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Callback requests